package de.intevation.flys.model;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;


@Entity
@Table(name = "depths")
public class Depth implements Serializable {

    private Integer id;

    private BigDecimal lower;
    private BigDecimal upper;

    private Unit unit;


    public Depth() {
    }


    public Depth(BigDecimal lower, BigDecimal upper, Unit unit) {
        this.lower = lower;
        this.upper = upper;
        this.unit  = unit;
    }

    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_DEPTHS_ID_SEQ",
        sequenceName   = "DEPTHS_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_DEPTHS_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Column(name = "lower")
    public BigDecimal getLower() {
        return lower;
    }

    public void setLower(BigDecimal lower) {
        this.lower = lower;
    }

    @Column(name = "upper")
    public BigDecimal getUpper() {
        return upper;
    }

    public void setUpper(BigDecimal upper) {
        this.upper = upper;
    }

    @OneToOne
    @JoinColumn(name = "unit_id")
    public Unit getUnit() {
        return unit;
    }

    public void setUnit(Unit unit) {
        this.unit = unit;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
